GaussHermiteIntegration Class Reference

generalized Gauss-Hermite integration More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussHermiteIntegration:
[legend]

## Public Member Functions

| GaussHermiteIntegration (Size n, Real mu=0.0)
Public Member Functions inherited from GaussianQuadrature
| GaussianQuadrature (Size n, const GaussianOrthogonalPolynomial &p)
template<class F >
Real | operator() (const F &f) const
Size | order () const
const Array & | weights ()
const Array & | x ()

## Additional Inherited Members

Protected Attributes inherited from GaussianQuadrature
Array | x_
Array | w_

## Detailed Description

generalized Gauss-Hermite integration

This class performs a 1-dimensional Gauss-Hermite integration.

\[ \int_{-\inf}^{\inf} f(x) \mathrm{d}x \]

The weighting function is

\[ w(x;\mu)=|x|^{2\mu} \exp{-x*x} \]

and

\[ \mu > -0.5 \]